OutfitDropdown = {}
local dropdown, title
local scene, fragment

function OutfitDropdown.SceneChange(sceneName, oldState, newState)
    ZO_CharacterTitle:SetHidden(newState == SCENE_FRAGMENT_SHOWN)
end

local origDisplaySheet =  ZO_RestyleSheetWindow_Keyboard.DisplaySheet

local function setupCallback(numCalls)
    if numCalls > 4 then return end
    if not SCENE_MANAGER then return zo_callLater(function() setupCallback(numCalls+1) end, 2000) end
    ZO_RESTYLE_SHEET_WINDOW_KEYBOARD:PopulateEquipmentModeDropdown()
    scene = SCENE_MANAGER:GetScene("inventory")
    fragment = ZO_RESTYLE_SHEET_WINDOW_FRAGMENT
    scene:AddFragment(fragment)
    scene:RegisterCallback("StateChange", function(...)
        OutfitDropdown.SceneChange(sceneName, ...)
    end)
    
    ZO_RestyleSheetWindow_Keyboard.DisplaySheet = function(obj, newSheet)
        
        origDisplaySheet(obj, newSheet)
        fragment:FireCallbacks("StateChange", SCENE_FRAGMENT_SHOWN, SCENE_FRAGMENT_HIDING)
        
        if SCENE_MANAGER:GetCurrentScene() == scene then         
            SCENE_MANAGER:RemoveFragment(newSheet:GetFragment())
        end
    end
end

function OutfitDropdown_Initialize(eventCode, addonName)

	if addonName ~="OutfitDropdown" then return end

    setupCallback(0)

	EVENT_MANAGER:UnregisterForEvent("OutfitDropdown", EVENT_ADD_ON_LOADED)		

end

EVENT_MANAGER:RegisterForEvent("OutfitDropdown", EVENT_ADD_ON_LOADED, OutfitDropdown_Initialize)
